<?php

    include "db_connect.inc";

    $sql_str = "SELECT Comments.Title, UNIX_TIMESTAMP(Comments.PublishedAt), Comments.AuthorId, Authors.Name, Comments.Text, Texts.Id, Texts.Title, A.Id, B.Id, Comments.EmailId, Comments.ThreadPosition, Comments.Hidden, Comments.ThreadId " .
               " FROM Comments" .
               " LEFT JOIN Authors ON Comments.AuthorId=Authors.Id" .
               " LEFT JOIN Texts ON Comments.ThreadId=Texts.CommentThreadId" .
               " LEFT JOIN Comments A ON Comments.ThreadId=A.ThreadId AND A.ThreadPosition=(Comments.ThreadPosition-1)" .
               " LEFT JOIN Comments B ON Comments.ThreadId=B.ThreadId AND B.ThreadPosition=(Comments.ThreadPosition+1)" .
               " WHERE Comments.Id=" . addslashes($comment_id);

    $result = mysql_db_query($db_database,
                             $sql_str,
                             $link);

    $row = mysql_fetch_array($result);

    function showComment($row, $comment_id, $thread_id, $row_count)
    {
        include "config.inc"; //??

        $cur_pos = $row[10];

        $prev_next = "<TD NOWRAP ALIGN=RIGHT>";
        if($row[7])
        {
            $page = (int)(($cur_pos-1)/$row_count);
            $pos = $page * $row_count;
            $prev_next .= "<A HREF=\"thread.php?thread_id=" . $thread_id . "&pos=" . $pos . "&comment_id=" . $row[7] . "\">&lt;&nbsp;Предыдущий&nbsp;в&nbsp;обсуждении</A>";
        }
        else
            $prev_next .= "&lt;&nbsp;Предыдущий&nbsp;в&nbsp;обсуждении";

        $prev_next .=  "&nbsp;&nbsp&nbsp;&nbsp";

        if($row[8])
        {
            $page = (int)(($cur_pos+1)/$row_count);
            $pos = $page * $row_count;
            $prev_next .= "<A HREF=\"thread.php?thread_id=" . $thread_id . "&pos=" . $pos . "&comment_id=" . $row[8] . "\">Следующий&nbsp;в&nbsp;обсуждении&nbsp;&gt;</A>";
        }
        else
            $prev_next .= "Следующий&nbsp;в&nbsp;обсуждении&nbsp;&gt;";

        $prev_next .=  "</TD>";

        print("<TABLE BORDER=0 CELLSPACING=10 WIDTH=\"100%\">");
            print("<TR><TD>");
                print("<TABLE BORDER=0 CELLSPACING=2>");
                    print("<TR>");
                        print("<TD NOWRAP><B>&nbsp;Тема&nbsp;комментария</B></TD>");
                        print("<TD WIDTH=\"100%\">" . htmlspecialchars($row[0]). "</TD>");
                    print("</TR>");
                    print("<TR>");
                        print("<TD NOWRAP><B>&nbsp;Дата&nbsp;посылки</B></TD>");
                        print("<TD NOWRAP>" . htmlspecialchars(gmstrftime($DATE_TIME_FORMAT, $row[1])) . "</TD>");
                    print("</TR>");
                    print("<TR>");
                        print("<TD NOWRAP><B>&nbsp;Автор&nbsp;комментария</B></TD>");
                        print("<TD><A HREF=\"author.php?Id=" . htmlspecialchars($row[2]) . "\">" . $row[3] ."</A></TD>");
                    print("</TR>");
                    print("<TR>");
                        if($row[5])
                        {
                            print("<TD NOWRAP><B>&nbsp;Обсуждаемый&nbsp;текст&nbsp;</B></TD>");
                            print("<TD><A HREF=\"text.php?Id=" . htmlspecialchars($row[5]) . "\">" . $row[6] ."</A></TD>");
                        }
                        else
                        {
                            print("<TD COLSPAN=2 NOWRAP><B>&nbsp;Без&nbsp;текста&nbsp;</B></TD>");
                        }
                    print("</TR>");
                    if($row[9])
                    {
                        print("<TR>");
                            print("<TD COLSPAN=2><A HREF=\"email_header.php?Id=" . $row[9] . "\">" . "&nbsp;Почтовый&nbsp;заголовок" ."</A></TD>");
                        print("</TR>");
		    }
                    print("<TR>");
                    print("<TD COLSPAN=2><A HREF=\"commentsrss.php?Id=" . htmlspecialchars($row[5]) . "\"><IMG SRC=\"xml.gif\"></A></TD>");
                    print("</TR>");
                print("</TABLE>");
            print("</TD></TR>");

            print("<TR>");
                print("<TD></TD>");
                print($prev_next);
            print("</TR>");

            if($row[11]=="No")
            {
                print("<TR><TD COLSPAN=2 BGCOLOR=#EEEEEE>");
                print("<HR SIZE=1 NOSHADE>");
                print("<PRE> <FONT >");
                print(htmlspecialchars($row[4]));
            } else
            {
                print("<TR><TD COLSPAN=2 BGCOLOR=#FFEEEE>");
                print("<HR SIZE=1 NOSHADE>");
                print("<PRE> <FONT >");
                print("Автор запретил просмотр этого комментария.");
            }
            print("</PRE>");
            print("<HR SIZE=1 NOSHADE>");
            print("</TD></TR>");
                                
            print("<TR>");
                print("<TD>");
                print("<A HREF=\"followup.php?CommentId=" . $comment_id . "\">");
                print("Послать комментарий");
                print("</A>");
                print("</TD>");
                print($prev_next);
            print("</TR>");

        print("</TABLE>");
    }
?>
